package com.atguigu.tingshu.account.service;

import com.atguigu.tingshu.model.account.RechargeInfo;
import com.atguigu.tingshu.vo.account.RechargeInfoVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

public interface RechargeInfoService extends IService<RechargeInfo> {

    /**
     * 根据充值订单编号查询充值记录
     * @param orderNo
     * @return
     */
    RechargeInfo getRechargeInfo(String orderNo);

    /**
     * 保存充值记录
     * @param rechargeInfoVo
     * @return {orderNo：“充值订单编号”}
     */
    Map<String, String> submitRecharge(RechargeInfoVo rechargeInfoVo);

    /**
     * 	用户付款成功后，完成充值业务
     * @param orderNo
     * @return
     */
    void rechargePaySuccess(String orderNo);
}
